# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDockWidgetAbstractHeaderDrag Class Reference

An abstract class for all dockwidget drag-panels of a dockwidgets (and member of the dockwidget class set). More...

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetAbstractHeaderDrag:

[legend]
Collaboration diagram for KDockWidgetAbstractHeaderDrag:

[legend]
List of all members.

## Public Member Functions

| KDockWidgetAbstractHeaderDrag (KDockWidgetAbstractHeader *parent, KDockWidget *dock, const char *name=0L)
virtual | ~KDockWidgetAbstractHeaderDrag ()
KDockWidget * | dockWidget () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An abstract class for all dockwidget drag-panels of a dockwidgets (and member of the dockwidget class set).

See the class description of KDockWidgetHeaderDrag! More or less a minor helper class for the dockwidget class set.

Author:
  Max Judin (documentation: Falk Brettschneider).

Definition at line 152 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetAbstractHeaderDrag::KDockWidgetAbstractHeaderDrag | ( | KDockWidgetAbstractHeader * | parent,
|  | KDockWidget * | dock,
|  | const char * | name = `0L`
| ) |

Constructs this.

Parameters:

  | parent | the parent widget (usually a dockwidget header)
  | dock | the dockwidget where it belongs to
  | name | the object instance name

Definition at line 188 of file kdockwidget.cpp.

virtual KDockWidgetAbstractHeaderDrag::~KDockWidgetAbstractHeaderDrag | ( |  | ) | `[inline, virtual]`

| Destructs this. Definition at line 170 of file kdockwidget.h.

## Member Function Documentation

KDockWidget* KDockWidgetAbstractHeaderDrag::dockWidget | ( |  | ) | const`[inline]`

Returns:
  the dockwidget where this belongs to

Definition at line 175 of file kdockwidget.h.

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:04 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003